## emms 1.0-3

=== debian/changelog ===
emms (1.0-3) unstable; urgency=low

  * Standards-Version: 3.6.1 (no changes)
  * Removed ChangeLog from debian/docs.
  * XEmacs should compile now.
  * Recommends: vorbis-tools, not ogg123. hmph.

 -- Jorgen Schaefer <forcer@debian.org>  Sat,  3 Apr 2004 13:16:25 +0200

emms (1.0-2) unstable; urgency=low

  * Architecture: all
  * Recommends: mpg321, ogg123 (Closes: #239525)
  * Suggests: mp3info
  * Build-depends: texinfo (Closes: #236953)
  * emms-source-file.el: Don't throw an error when compiling if locate.el
    is not available. (Closes: #237183)

 -- Jorgen Schaefer <forcer@debian.org>  Tue,  9 Mar 2004 02:01:21 +0100

emms (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Jorgen Schaefer <forcer@debian.org>  Sat, 21 Feb 2004 05:23:17 +0100
