=== debian/changelog ===
emms (1.0-4) unstable; urgency=low

  * New CVS checkout.

 -- Jorgen Schaefer <forcer@debian.org>  Sun, 11 Jul 2004 03:48:28 +0200
