=== debian/control ===
Source: emms
Section: sound
Priority: optional
Maintainer: Jorgen Schaefer <forcer@debian.org>
Build-Depends: debhelper (>= 4.0.0), emacs21, texinfo
Standards-Version: 3.6.1

Package: emms
Architecture: all
Depends: emacs21 | xemacs21
Recommends: mpg321, vorbis-tools
Suggests: mp3info
Description: The Emacs MultiMedia System
 EMMS is the Emacs Multi-Media System. It tries to be a clean and small
 application to play multimedia files from Emacs using external
 players.
