## emms 1.3

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 emms-auto.el: emms-auto.in $(SOURCE)
 	cp emms-auto.in emms-auto.el
-	-rm emms-auto.elc
+	-rm -f emms-auto.elc
 	$(EMACS) --no-init-file --no-site-file -batch \
 		-l emms-maint.el \
 		-l emms-auto.el \
