=== debian/changelog ===
emms (1.3) unstable; urgency=low

  * Don't pass docstring to defvaralias due to XEmacs (Closes: #316583)

 -- Jorgen Schaefer <forcer@debian.org>  Sat,  2 Jul 2005 05:34:57 +0200

emms (1.2) unstable; urgency=low

  * Use legacy function in emacs21 for `read-directory-name (Closes: #316486)
  * Implements url parsing without url library (Closes: #314299)

 -- Jorgen Schaefer <forcer@debian.org>  Fri,  1 Jul 2005 15:18:54 +0200

emms (1.1-1) unstable; urgency=low

  * New CVS checkout.
  * Conflicts with emacs20 (Closes #306489).

 -- Jorgen Schaefer <forcer@debian.org>  Sun, 29 May 2005 00:25:23 +0200
