=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/emms.
-	$(MAKE) deb-install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) deb-install DESTDIR=$(CURDIR)/debian/emms
 
 # Build architecture-independent files here.
 binary-indep: build install
