## emms 3.0%2B20130821%2B1.git2fba618

=== debian/watch ===
version=3
opts="dversionmangle=s/\+.*//" \
  http://www.gnu.org/software/emms/download/emms-([\d.]*).tar.gz
