=== debian/changelog ===
emms (3.0+20110418+1.4a15eea-1) unstable; urgency=low

  * Git upstream snapshot.
    + Few changes compared to the previous upload to experimental, thus
      upload to unstable.
  * debian/control:
    + Bump Standards-Version to 3.9.2. No changes needed.
    + Add w3m-el to Depends as it is required during installation for
      byte-compiling emms-lastfm-client.el.
    + Recommends either vorbis-tools, mpg321, mplayer, vlc, mpd or xine-ui
      as they are all supported players.
    + Remove leading article in the description reported by lintian.
  * debian/copyright:
    + Update copyright years.
    + Update upstream authors list.
  * debian/rules:
    + Add -Wl,--as-needed to LDFLAGS to avoid linking uselessly on libraries
      whose symbols are not used.
  * debian/watch:
    + Mangle Debian version to remove Git versioning.
  * Drop debian/patches as fix_makefile_path_typo.diff has been applied
    upstream.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 18 Apr 2011 17:05:31 +0900

emms (3.0+20100726+1.12444ae-1) experimental; urgency=low

  * Git upstream snapshot. Closes: #581005.
    + Drop debian patches as they have all been applied in Git.
    + Create the upstream source by simply running `make dist' in the Git
      source tree.
  * Switch to dpkg-source 3.0 (quilt) format.
    + Drop now useless debian/README.source.
    + Drop include of patchsys-quilt.mk in debian/rules.
    + Drop Build-Depends on quilt.
  * debian/control:
    + Bump Standards-Version to 3.9.1. No changes needed.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 29 Jul 2010 19:40:31 +0100

emms (3.0-6) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.4.
      - Add debian/README.source.
    + Remove emacs22 from Build-Depends as it will be removed for the
      upcoming Squeeze release. Closes: #567696.
  * debian/copyright:
    + Update copyright years.
  * Insert the contents of a file and load playlists in a safe way. Thanks
    to Michael Olson and Yoni Rabkin. Closes: #470251.

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 31 Jan 2010 12:15:20 +0000

emms (3.0-5) unstable; urgency=low

  * debian/control:
    + Add emacs23 to Depends as it has now been released. Closes: #539840.
    + Update Standards-Version to 3.8.2. No changes needed.
    + Add ${misc:Depends} to Depends.
    + Bump compat version to 5 as 4 is now deprecated and update
      debian/compat accordingly.
  * debian/copyright:
    + Update copyright years.
    + Refer to /GPL-2 instead of /GPL for package licensing as suggested
      by lintian.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 04 Aug 2009 14:59:37 +0200

emms (3.0-4) unstable; urgency=low

  * debian/control:
    + Add emacs-snapshot to Depends as some people are using private
      emacs-snapshot package. Closes: #499595.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 24 Sep 2008 18:58:20 +0100

emms (3.0-3) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0. No changes needed.
    + Don't install files for emacs21 as 'url' package is not provided by
      emacs21. Closes: #498115.
  * debian/doc-base:
    + Update section to Sounds.
  * debian/patches/fix-alsaplayer.patch:
    + Fix alsaplayer backend which didn't work at all. Thanks to Igor B.
      Poretsky. Closes: #466949.
  * Use quilt to manage patches and add it to Build-Depends.
  * debian/copyright:
    + Update copyright years.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 16 Sep 2008 21:47:27 +0100

emms (3.0-2) unstable; urgency=low

  * New email address.
  * debian/control*:
    + Update Standards-Version to 3.7.3. No changes needed.
    + Move Homepage field to source package (dpkg supports it now).

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 07 Dec 2007 20:26:40 +0000

emms (3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control*:
    + Build-Depends on emacs22 instead of emacs21. Closes: #434917.
    + Drop deprecated depends on emacs21.
  * debian/copyright:
    + Update copyright year.
    + Update license because the upstream author has switched to
      GPLv3.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 08 Aug 2007 17:52:55 +0200

emms (2.1+clean-1) unstable; urgency=low

  * New maintainer. Closes: #411422.
  * Remove debian/ directory from upstream source.
  * Switch to cdbs.
  * Add debian/watch.
  * Add debian/manpages.
  * Add debian/info.
  * Add debian/doc-base.
  * debian/docs:
    + Add HTML documentation.
    + Add FAQ.
  * debian/control*:
    + Add Homepage field.
    + Remove obsolete conflict against emacs20.
  * debian/copyright:
    + Format according to the dh_make template.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 08 May 2007 17:00:49 +0200

emms (2.1-3) unstable; urgency=low

  * QA upload.
  * debian/rules: Provide binary-indep as a no-op.  Closes: #395683.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 15 Apr 2007 12:48:49 +0200

emms (2.1-2) unstable; urgency=low

  * Orphaned.

 -- Jorgen Schaefer <forcer@debian.org>  Mon, 19 Feb 2007 00:08:01 +0100

emms (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Jorgen Schaefer <forcer@debian.org>  Sun,  3 Sep 2006 13:54:07 +0200

emms (2.0-2) unstable; urgency=low

  * Install info manual as well (Closes: #372953)

 -- Jorgen Schaefer <forcer@debian.org>  Mon, 12 Jun 2006 21:14:41 +0200

emms (2.0-1) unstable; urgency=low

  * New upstream release.
  * Depend alternatively on emacsen (Closes: #321493) and (Closes: #321493)
  * Don't be a “native” package anymore, seems to make some people happier (Closes: #343525)
  * Fix autoloads (Closes: #357398)

 -- Jorgen Schaefer <forcer@debian.org>  Sat, 29 Apr 2006 19:42:39 +0200
