=== debian/control ===
Source: emms
Section: sound
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1),
               debhelper (>= 5.0.0),
               emacs23,
               texinfo,
               libtagc0-dev
Homepage: http://www.gnu.org/software/emms/
Standards-Version: 3.9.2

Package: emms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         emacsen-common,
         w3m-el,
         emacs23 | xemacs21 | emacs-snapshot
Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
Suggests: mp3info
Description: Emacs MultiMedia System
 EMMS is the Emacs Multi-Media System. It tries to be a clean and
 small application to play multimedia files from Emacs using external
 players.
