=== debian/rules ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET := emms-print-metadata autoloads
DEB_MAKE_INSTALL_TARGET :=
LDFLAGS := -Wl,--as-needed

build/emms::
	make -C doc/ all emms.html
