## emms 3.0+20110425+1.git298e022

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 SITELISP=$(PREFIX)/share/emacs/site-lisp/emms
 
 INSTALLINFO = /usr/sbin/install-info --info-dir=$(INFODIR)
-CHANGELOG_CMD = git log --pretty=medium
+CHANGELOG_CMD = git log --pretty=medium --no-merges
 
 # The currently released version of EMMS
 VERSION=3.0
