=== debian/changelog ===
emms (3.0+20110425+1.git298e022-4) unstable; urgency=low

  * debian/control:
    + Require emacsen-common >= 2.0.5 because of #693472.
  * debian/emacsen-install:
    + As emacs22 is not supported since squeeze, it must be ignored.
      Closes: #699743.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 11 Mar 2013 18:18:45 +0900

emms (3.0+20110425+1.git298e022-3) unstable; urgency=low

  * debian/control:
    + Allow w3m-el-snapshot in addition to w3m-el in Depends. Closes: #673932.
  * debian/emacsen-install:
    + Log byte-compilation output in a log rather than on the console.
    + Avoid byte-compiling if it has already been done before.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 07 Jun 2012 10:38:32 +0900

emms (3.0+20110425+1.git298e022-2) unstable; urgency=low

  * debian/emacsen-startup:
    + Call `debian-pkg-add-load-path-item' rather than directly modifying
      `load-path' as par Emacs policy. Closes: #671562.
  * debian/copyright:
    + Update copyright years.
    + Update Format URL as DEP5 has been released.
    + Fix license name from GPL-3 to GPL-3+.
  * debian/control: bump Standards-Version to 3.9.3. No changes needed.
  * debian/patches/remove-emms-playlist-sort-by-score-from-documentation.patch:
    + Remove emms-playlist-sort-by-score from documentation.
  * debian/patches/rename-too-generic-name-generate-autoloads.patch:
    + Rename too generic name generate-autoloads to emms-generate-autoloads.
      Closes: #672188.
  * debian/patches/support-both-xemacs-and-emacs-to-highlight-playing-lyrics.patch:
    + Fix XEmacs installation. Closes: #648980.
  * debian/patches/changelog.patch:
    + Add upstream changelog.
  * debian/makefile-add-missing-cppflags-to-compiler.patch:
    + Add missing CPPFLAGS to C compiler.
  * Add hardening build flags for emms-print-metadata.
    + debian/control: add Build-Depends on dpkg-dev >= 1.16.1~.
    + debian/rules: enable all hardening flags.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 24 May 2012 10:11:31 +0900

emms (3.0+20110425+1.git298e022-1) unstable; urgency=low

  * Git upstream snapshot.
    + debian/rules:
      - Add get-orig-source to generate tarball from upstream Git repository.
  * Add fix-byte-compilation-with-emacs24.patch. Closes: #625979.
  * debian/changelog:
    + Switch to DEP5 format.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 05 Nov 2011 15:43:51 +0900
