=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Arnaud Fontaine <arnau@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1),
+               dpkg-dev (>= 1.16.1~),
                debhelper (>= 5.0.0),
                emacs23,
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: emms
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         emacsen-common,
-         w3m-el,
+         emacsen-common (>= 2.0.5),
+         w3m-el | w3m-el-snapshot,
          emacs23 | xemacs21 | emacs-snapshot
 Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
 Suggests: mp3info
