## emms 3.0+20130821+1.git2fba618

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	$(MAKE) -C $(DOCDIR)
 
 emms-print-metadata: $(SRCDIR)/emms-print-metadata.c
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SRCDIR)/$@ $< `taglib-config --cflags --libs` -ltag_c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $(SRCDIR)/$@ $< `taglib-config --cflags --libs` -ltag_c
 
 install:
 	test -d $(SITELISP) || mkdir -p $(SITELISP)
