=== debian/changelog ===
emms (3.0+20130821+1.git2fba618-1) unstable; urgency=low

  * New Git upstream snapshot:
    + debian/patches/makefile-add-missing-cppflags-to-compiler.patch,
      debian/patches/remove-emms-playlist-sort-by-score-from-documentation.patch,
      debian/patches/rename-too-generic-name-generate-autoloads.patch,
      debian/patches/support-both-xemacs-and-emacs-to-highlight-playing-lyrics.patch,
      debian/patches/fix-byte-compilation-with-emacs24.patch:
      - Dropped as they have been applied upstream.
    + FTBFS with texinfo5 has been fixed. Closes: #712324.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Sep 2013 16:11:19 +0900

emms (3.0+20110425+1.git298e022-5) experimental; urgency=low

  * debian/control:
    + Add emacs24 to Depends as EMMS should be compatible. Closes: #703004.
    + Bump Standards-Version to 3.9.4. No change needed.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 27 Mar 2013 14:38:45 +0900
