=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: emms
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          emacsen-common (>= 2.0.5),
          w3m-el | w3m-el-snapshot,
-         emacs23 | xemacs21 | emacs-snapshot
+         emacs23 | xemacs21 | emacs24 | emacs-snapshot
 Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
 Suggests: mp3info
 Description: Emacs MultiMedia System
