## emms 4.0

=== debian/changelog ===
emms (4.0-2) unstable; urgency=low

  * Remove support for xemacs21 as it is not supported anymore since
    `declare-function' is not defined (at least in 21.4.22).

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 30 Jul 2014 12:33:52 +0900

emms (4.0-1) unstable; urgency=low

  * New upstream release.
    + d/docs: FAQ has been removed upstream.
    + d/watch: Update URL.
  * d/control: Bump Standards-Version to 3.9.5. No change needed.
  * Emacs23 is going to be removed from the archive. Closes: #754008.
    + d/control:
      - Build-Depends on emacs24-nox rather than emacs23.
      - Drop Depends on emacs23 and Depends instead of emacs | emacsen.
  * Follow Debian Emacs Policy:
    + d/control: Bump emacsen-common Depends to >= 2.0.8.
    + d/emacsen-compat: Set emacs-common compatibility level to 0.
  * d/copyright: Update copyright years.
  * d/patches/changelog.patch: Drop as ChangeLog is now provided.
  * d/patches/fix_sigsegv.patch: Add patch to fix SIGSEGV. Closes: #715864.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 29 Jul 2014 19:14:59 +0900
