=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Build-Depends: cdbs (>= 0.4.23-1.1),
                dpkg-dev (>= 1.16.1~),
                debhelper (>= 5.0.0),
-               emacs23,
+               emacs24-nox,
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: emms
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         emacsen-common (>= 2.0.5),
+         emacsen-common (>= 2.0.8),
          w3m-el | w3m-el-snapshot,
-         emacs23 | xemacs21 | emacs24 | emacs-snapshot
+         emacs | emacs-snapshot | emacsen
 Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
 Suggests: mp3info
 Description: Emacs MultiMedia System
