## emms 4.1

=== debian/changelog ===
emms (4.1-1) unstable; urgency=low

  * New upstream release.
    + Drop debian/patches/fix_sigsegv.patch applied upstream.
    + Copy of tq.el from Emacs has been removed. Closes: #813965.
  * d/control:
    + Bump Standards-Version to 3.9.8. No changes needed.
    + Drop Depends on w3m-el* as it was only needed to byte-compile lastfm
      code which has been removed upstream. Closes: #780648.
    + Bump debhelper Depends to recommended version 9.
  * d/copyright: Update copyright years.
  * d/patches:
    + lisp-jack.el-In-recent-kernels-proc-asound-cards-can.patch: In
      recent kernels, /proc/asound/cards can have lines beginning with a
      space. Thanks to Kevin Ryde. Closes: #716648.
  * d/watch: Add GPG signature verification of upstream tarball.
    + debian/upstream/signing-key.pgp: Downloaded from
      https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=emms
      - Add this file to debian/source/include-binaries (dpkg-source error).

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 10 Jun 2016 09:54:09 +0900
