=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Arnaud Fontaine <arnau@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1),
                dpkg-dev (>= 1.16.1~),
-               debhelper (>= 5.0.0),
+               debhelper (>= 9~),
                emacs24-nox,
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 
 Package: emms
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
          emacsen-common (>= 2.0.8),
-         w3m-el | w3m-el-snapshot,
          emacs | emacs-snapshot | emacsen
 Recommends: vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
 Suggests: mp3info
