## emms 4.2

=== debian/changelog ===
emms (4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change build dependency to "emacs25-nox | emacs25 | emacs24" to
    support and prefer emacs25. (Closes: #846987)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 08 Jan 2017 11:52:15 -0600

emms (4.2-1) unstable; urgency=low

  * New upstream release.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 15 Nov 2016 12:35:20 +0900
