=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs (>= 0.4.23-1.1),
                dpkg-dev (>= 1.16.1~),
                debhelper (>= 9~),
-               emacs24-nox,
+               emacs25-nox | emacs25 | emacs24,
                texinfo,
                libtagc0-dev
 Homepage: http://www.gnu.org/software/emms/
