=== debian/changelog ===
emms (4.4-1) unstable; urgency=low

  * New upstream release.
  * d/control:
    + emacs24 has been removed (#871627) so use emacs25 in Build-Depends.
    + Bump Standards-Version to 4.1.2.
      - Use HTTPS URL in Homepage field.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 13 Dec 2017 11:00:50 +0900
