=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Build-Depends: cdbs (>= 0.4.23-1.1),
                dpkg-dev (>= 1.16.1~),
                debhelper (>= 9~),
-               emacs25-nox | emacs25 | emacs24,
+               emacs25-nox | emacs25,
                texinfo,
                libtagc0-dev
-Homepage: http://www.gnu.org/software/emms/
-Standards-Version: 3.9.8
+Homepage: https://www.gnu.org/software/emms/
+Standards-Version: 4.1.2
 
 Package: emms
 Architecture: any
