=== debian/watch ===
version=3
opts="dversionmangle=s/\+.*//,pgpsigurlmangle=s/$/.sig/,pasv" \
  ftp://ftp.gnu.org/gnu/emms/emms-([\d.]*).tar.gz
