## emms 5.0

=== debian/changelog ===
emms (5.0-1) unstable; urgency=medium

  * New upstream release.
    + d/copyright: Update copyright years and holders.
  * d/control:
    + Bump Standards-Version to 4.1.4.
      - Remove Git get-orig-source rule (using tarballs these days anyway).

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 02 May 2018 09:39:13 +0900
