=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                texinfo,
                libtagc0-dev
 Homepage: https://www.gnu.org/software/emms/
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 
 Package: emms
 Architecture: any
