=== doc/Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 .PRECIOUS: %.info %.html
 
 all: emms.info
+
+clean:
+	rm -f *.info
 
 %.info: %.texinfo
 	makeinfo --no-split $<
