=== debian/changelog ===
emms (5.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:39:02 +0100

emms (5.1-1) unstable; urgency=medium

  * New upstream release. Closes: #917968.
    + d/copyright: All the files have now FSF as the copyright holders.
  * d/emacsen-install: >=5.0 uses seq.el available only from emacs >=
    25 so ignore older flavors. Closes: #905208.
  * Update package after emacs package unversioning (from 1:25.2+1-7). This
    means no emacsXY flavors anymore, only emacs (and xemacs21). Keep emacs25
    for backports.
    + d/control:
      - Depends on emacsen-common only and move emacs* to Recommends.
      - Add Enhances field against emacs* packages.
      - Add Build-Depends on emacs | emacs-nox.
    + d/emacsen-{install,remove}: emacs flavor was ignored until now.
  * d/copyright:
    + Update debian directory copyright years.
    + Update Source URL.
  * d/control:
    + Bump Standards-Version to 4.3.0. No change needed.
  * d/emacsen-install: Simplify and keep byte-compile log in ELDIR.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 22 Jan 2019 19:33:40 +0900
