=== debian/control ===
Source: emms
Section: sound
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1),
               dpkg-dev (>= 1.16.1~),
               debhelper (>= 9~),
               emacs-nox (>= 1:25.2+1-7~) | emacs (>= 1:25.2+1-7~) | emacs25-nox | emacs25,
               texinfo,
               libtagc0-dev
Homepage: https://www.gnu.org/software/emms/
Standards-Version: 4.3.0

Package: emms
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         emacsen-common (>= 2.0.8)
Recommends: emacs (>= 1:25.2+1-7~) | emacs25 | emacs-snapshot,
            vorbis-tools | mpg321 | mplayer | vlc | mpd (>= 0.12.0) | xine-ui
Suggests: mp3info
Enhances: emacs,
          emacs25,
          emacs-snapshot
Description: Emacs MultiMedia System
 EMMS is the Emacs Multi-Media System. It tries to be a clean and
 small application to play multimedia files from Emacs using external
 players.
