=== debian/rules ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET := emms-print-metadata autoloads
DEB_MAKE_INSTALL_TARGET :=

build/emms::
	make -C doc/ all emms.html
