## emms 6.00

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 GZIP=gzip
 MAN1PAGES=emms-print-metadata.1
 DOCDIR=doc/
-LISPDIR=lisp
 SRCDIR=src
+SITEFLAG=--no-site-file
+EMACS=emacs
 
-ALLSOURCE=$(wildcard $(LISPDIR)/*.el)
-ALLCOMPILED=$(wildcard $(LISPDIR)/*.elc)
+ALLSOURCE=$(wildcard *.el)
+SOURCE=$(filter-out $(SPECIAL),$(ALLSOURCE))
+TARGET=$(patsubst %.el,%.elc,$(SOURCE))
+ALLCOMPILED=$(wildcard *.elc)
 
 DESTDIR=
 PREFIX=$(DESTDIR)/usr/local
@@ -20,20 +23,30 @@
 CHANGELOG_CMD = git log --pretty=medium --no-merges
 
 # The currently released version of EMMS
-VERSION=5.1
+VERSION=6.00
 
-.PHONY: all install lisp docs deb-install clean
+.PHONY: all install docs clean
 .PRECIOUS: %.elc
-all: lisp docs
+all: emms-auto.el $(TARGET) docs
 
-autoloads:
-	$(MAKE) -C $(LISPDIR) emms-auto.el
+emms-auto.el: emms-auto.in $(SOURCE)
+	cp emms-auto.in emms-auto.el
+	-rm -f emms-auto.elc
+	@$(EMACS) -q $(SITEFLAG) -batch \
+		-l emms-maint.el \
+		-l emms-auto.el \
+		-f emms-generate-autoloads \
+		$(shell pwd)/emms-auto.el .
 
-lisp:
-	$(MAKE) -C $(LISPDIR)
+%.elc: %.el
+	@$(EMACS) -q $(SITEFLAG) -batch \
+		-l emms-maint.el \
+		-f batch-byte-compile $<
 
 docs:
 	$(MAKE) -C $(DOCDIR)
+	for file in $(DOCDIR)*.info; do install-info $$file dir; done
+	cp $(DOCDIR)emms.info $(CURDIR)/
 
 emms-print-metadata: $(SRCDIR)/emms-print-metadata.cpp
 	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $(SRCDIR)/$@ $< `taglib-config --cflags --libs`
@@ -69,13 +82,14 @@
 
 clean:
 	-rm -f *~ $(DOCDIR)emms.info $(DOCDIR)emms.html $(SRCDIR)/emms-print-metadata
-	$(MAKE) -C $(LISPDIR) clean
+	-rm -f *~ *.elc emms-auto.el
+	-rm -f emms.info
 
-dist: clean autoloads
+dist: clean emms-auto.el
 	git archive --format=tar --prefix=emms-$(VERSION)/ HEAD | \
 	  (cd .. && tar xf -)
 	rm -f ../emms-$(VERSION)/.gitignore
-	cp lisp/emms-auto.el ../emms-$(VERSION)/lisp
+	cp emms-auto.el ../emms-$(VERSION)
 	$(CHANGELOG_CMD) > ../emms-$(VERSION)/ChangeLog
 
 release: dist
@@ -84,4 +98,4 @@
 	  gpg --detach emms-$(VERSION).tar.gz)
 
 upload:
-	(cd .. && echo "version: 1.2\ndirectory: emms\nfilename: "emms-$(VERSION).tar.gz"\ncomment: version 4.0 of Emms" | gpg --clearsign > emms-$(VERSION).tar.gz.directive.asc && echo open ftp://ftp-upload.gnu.org > upload.lftp ; echo cd /incoming/ftp >> upload.lftp ; echo mput emms-$(VERSION).tar.gz* >> upload.lftp ; echo close >> upload.lftp ; lftp -f upload.lftp ; rm -f upload.lftp)
+	(cd .. && echo "version: 1.2\ndirectory: emms\nfilename: "emms-$(VERSION).tar.gz"\ncomment: new version of Emms" | gpg --clearsign > emms-$(VERSION).tar.gz.directive.asc && echo open ftp://ftp-upload.gnu.org > upload.lftp ; echo cd /incoming/ftp >> upload.lftp ; echo mput emms-$(VERSION).tar.gz* >> upload.lftp ; echo close >> upload.lftp ; lftp -f upload.lftp ; rm -f upload.lftp)
