=== debian/changelog ===
emms (6.00-1) unstable; urgency=medium

  * New upstream version
    Closes: #1096579
  * Maintain in Debian Emacsen team
    Closes: #1102389
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)
  * Do not Build-Depends: dpkg-dev
  * Switch from cdbs to dh
    Closes: #1098829
  * Build-Depends: s/libtagc0-dev/libtag-c-dev/
    Closes: #1093294
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Secure URI in watch file
  * Use dh-elpa
  * Recommends: s/mpg321/mpg123/
    Closes: #1067877

 -- Andreas Tille <tille@debian.org>  Fri, 11 Apr 2025 07:21:28 +0200
