=== debian/control ===
Source: emms
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Arnaud Fontaine <arnau@debian.org>,
           Andreas Tille <tille@debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               emacs-nox | emacs,
               texinfo,
               libtag-c-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/emacsen-team/emms
Vcs-Git: https://salsa.debian.org/emacsen-team/emms.git
Homepage: https://www.gnu.org/software/emms/

Package: emms
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${elpa:Depends}
Recommends: emacs | emacs-snapshot,
            vorbis-tools | mpg123 | mplayer | vlc | mpd | xine-ui
Suggests: mp3info
Enhances: emacs,
          emacs-snapshot
Description: Emacs MultiMedia System
 EMMS is the Emacs Multi-Media System. It tries to be a clean and
 small application to play multimedia files from Emacs using external
 players.
