=== debian/rules ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with elpa

override_dh_auto_build:
	dh_auto_build -- all emms-print-metadata
	$(MAKE) -C doc/ all emms.html

override_dh_auto_install:
	echo "Just use dh_install"
