=== debian/watch ===
version=4
opts="dversionmangle=s/\+.*//,pgpsigurlmangle=s/$/.sig/" \
  https://ftp.gnu.org/gnu/emms/emms-([\d.]*).tar.gz
